<?php 

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('marriage_new_reg_details', function (Blueprint $table) {
            $table->renameColumn('Volumenumber_marathi', 'volume_number_mr');
            $table->renameColumn('Serialnumber_marathi', 'sr_number_mr');
            $table->renameColumn('Volumenumber_english', 'volumenumber_eng');
            $table->renameColumn('Serialnumber_english', 'serialnumber_eng');
        });
    }

    public function down(): void
    {
        Schema::table('marriage_new_reg_details', function (Blueprint $table) {
            $table->renameColumn('volume_number_mr', 'Volumenumber_marathi');
            $table->renameColumn('sr_number_mr', 'Serialnumber_marathi');
            $table->renameColumn('volumenumber_eng', 'Volumenumber_english');
            $table->renameColumn('serialnumber_eng', 'Serialnumber_english');
        });
    }
};
